## com.arsdigita.bookmarks
Class BookmarkCollection

    java.lang.Object
      com.arsdigita.domain.DomainQuery
          com.arsdigita.domain.DomainCollection
              com.arsdigita.bookmarks.BookmarkCollection

All Implemented Interfaces:
  com.arsdigita.persistence.DataQuery

public class BookmarkCollection
extends com.arsdigita.domain.DomainCollection

Field Summary

Fields inherited from class com.arsdigita.domain.DomainCollection
`m_dataCollection, versionId`

Fields inherited from class com.arsdigita.domain.DomainQuery
`m_dataQuery`

Constructor Summary
`protected` `BookmarkCollection(com.arsdigita.persistence.DataCollection dataCollection)`

Method Summary
`Bookmark` `getBookmark()` Get the current item as a Bookmark domain object.
`com.arsdigita.domain.DomainObject` `getDomainObject()` Get the current item as a domain object.
`BigDecimal` `getID()` Get the ID for the Bookmark for the current row.
`String` `getName()` Get the name for the Bookmark for the current row.
`boolean` `getNewWindow()`
`String` `getURL()` Get the url for the bookmark for the current row.

Methods inherited from class com.arsdigita.domain.DomainQuery

`addEqualsFilter, addFilter, addFilter, addInSubqueryFilter, addInSubqueryFilter, addNotEqualsFilter, addNotInSubqueryFilter, addOrder, addOrderWithNull, addPath, alias, clearFilter, clearOrder, close, first, get, getFilterFactory, getOption, getParameter, getPosition, getPropertyValues, getType, hasProperty, isAfterLast, isBeforeFirst, isEmpty, isFirst, isLast, last, next, previous, removeFilter, reset, rewind, setFilter, setOption, setOrder, setParameter, setRange, setRange, setReturnsLowerBound, setReturnsUpperBound, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookmarkCollection

    protected BookmarkCollection(com.arsdigita.persistence.DataCollection dataCollection)

Method Detail

### getID

    public BigDecimal getID()

  Get the ID for the Bookmark for the current row.

  Returns:
    the id of this Bookmark.

### getDomainObject

    public com.arsdigita.domain.DomainObject getDomainObject()

  Get the current item as a domain object.

  Returns:
    the domain object for the current row.

### getBookmark

    public Bookmark getBookmark()

  Get the current item as a Bookmark domain object.

  Returns:
    a Bookmark domain object.

### getName

    public String getName()

  Get the name for the Bookmark for the current row.

  Returns:
    the name of this bookmark.

### getURL

    public String getURL()

  Get the url for the bookmark for the current row.

  Returns:
    the url of this bookmark.

### getNewWindow

    public boolean getNewWindow()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1057 UTC